package com.zcloud.service.platformCourseware.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.platformCourseware.PlatformCoursewareRecordMapper;
import com.zcloud.service.platformCourseware.PlatformCoursewareRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：企业添加的视频课件记录表
 * 作者：luoxiaobao
 * 时间：2022-03-09
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class PlatformCoursewareRecordServiceImpl implements PlatformCoursewareRecordService {

	@Autowired
	private PlatformCoursewareRecordMapper platformCoursewareRecordMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		platformCoursewareRecordMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		platformCoursewareRecordMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		platformCoursewareRecordMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return platformCoursewareRecordMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return platformCoursewareRecordMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return platformCoursewareRecordMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		platformCoursewareRecordMapper.deleteAll(ArrayDATA_IDS);
	}
	/**
	 * 根据课件id查找
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	public PageData findByCouId(PageData pd)throws Exception{
		return platformCoursewareRecordMapper.findByCouId(pd);
	}
}

